Subject: meter???
From: "Mike" <[email-masked]>
To: "Gordon Davidge" <[email-masked]>
Date: Mon, 18 Dec 2006 16:59:06 -0500

Gordie,
It has weeks now and I have heard nothing from your tech team.  Are we scheduled?  I would like to take care of this matter this week.  We are almost out of supplies for the existing meter and I do not want to have to order again.  Also, we are going to need to place an order for the labels so that we can have them ready for when things are on line.  Please contact me at your earliest convenience.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]